#include <gtest/gtest.h>
#include <solution/1534.h>

TEST(CountGoodTripletsTest, Test1)
{
    int arr[] = {3, 0, 1, 1, 9, 7};
    int arrSize = sizeof(arr) / sizeof(arr[0]);
    int a = 7, b = 2, c = 3;
    int expected = 4;

    EXPECT_EQ(countGoodTriplets(arr, arrSize, a, b, c), expected);
}

// 测试用例 2
TEST(CountGoodTripletsTest, Test2)
{
    int arr[] = {1, 1, 2, 2, 3};
    int arrSize = sizeof(arr) / sizeof(arr[0]);
    int a = 0, b = 0, c = 1;
    int expected = 0;

    EXPECT_EQ(countGoodTriplets(arr, arrSize, a, b, c), expected);
}